<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Budget Line</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Estimate Realize
                </div>
            </div>
        </div>

        <div class="alert alert-success" role="alert" th:if="${success != null}">
            Save data successfull....
        </div>




        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p><a th:if="${getPeriode}!=0" class="link-primary" th:href="@{/setting/admin/anggarandetail/estimasi/baru(anggaranDetail = ${anggaranDetail.id})}" role="button">Klik disini</a> jika anda ingin menambah estimasi. </p>
                    <p><a th:href="@{/setting/admin/anggaran/setting(departemen = ${anggaranDetail.anggaran.departemen.id}, periode = ${anggaranDetail.anggaran.periodeAnggaran.id})}" class="link-success">Back</a> untuk kembali ke menu anggaran.</p>
                    <!--                    <a th:if="${getPeriode}!=0" th:href="@{/setting/anggarandetail/estimasi/baru(anggaranDetail = ${anggaranDetail.id})}" name="tambah" type="button" class="btn btn-block btn-primary">+ Estimate Date Realized</a>-->
                </div>
                <div class="col-md-6" align="right">
                    <p th:text="${'Post : ' + anggaranDetail.anggaran.kodeAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Name : ' + anggaranDetail.anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Description : ' + anggaranDetail.deskripsi}">Follow the steps to continue to payment.</p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    <!--                    Show entries <span sd:page-size-selector="javascript"></span>-->
                </div>

                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
        </form>
        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>

                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col">Date</th>
                            <th scope="col">Description</th>
                            <th scope="col">Qty</th>
                            <th scope="col"></th>
                            <th scope="col">Price</th>
                            <th scope="col">Options</th>
                            <th scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataEstimasiAnggaranDetail,row : ${anggaranDetailEstimasiList}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${#temporals.format(dataEstimasiAnggaranDetail.tanggalEstimasi,'dd-MMM-yyyy')}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataEstimasiAnggaranDetail.deskripsi}">-</td>
                            <td th:text="${dataEstimasiAnggaranDetail.kuantitas}">-</td>
                            <td th:text="${dataEstimasiAnggaranDetail.satuan}">-</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataEstimasiAnggaranDetail.amount, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                            <td>
                                <a th:if="${getPeriode}!=0" th:href="@{/setting/admin/anggarandetail/estimasi/edit(anggaranDetail = ${anggaranDetail.id}, anggaranDetailEstimasi=${dataEstimasiAnggaranDetail.id})}" class="link-primary">Edit</a>
                            </td>
                            <td>

                                <form method="post" th:if="${getPeriode}!=0" th:action="@{/setting/admin/anggarandetail/estimasi/delete(anggaranDetail = ${anggaranDetail.id}, anggaranDetailEstimasi=${dataEstimasiAnggaranDetail.id})}">
                                    <button type="submit" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>

                <!--                <nav aria-label="Page navigation example">-->
                <!--                    <ul class="pagination" sd:pagination="full">-->
                <!--                    </ul>-->
                <!--                </nav>-->
            </div>
        </div>
    </main>
</main>

</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Estimated Realized</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Estimated Realized-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Setting</li>-->
<!--        <li class="active"> Estimated Realized</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="callout callout-success" th:if="${success != null}">-->
<!--                <h4>Save Data Success!</h4>-->

<!--                <p>Data Berhasil Disimpan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-success" th:if="${delete != null}">-->
<!--                <h4>Delete Data Success!</h4>-->

<!--                <p>Data Berhasil Dihapus.</p>-->
<!--            </div>-->
<!--            <div class="callout callout-danger" th:if="${deletefail != null}">-->
<!--                <h4>Save Data Unsuccessful!</h4>-->

<!--                <p>Data Tidak Bisa Dihapus karena sudah ada realisasi revanues.</p>-->
<!--            </div>-->


<!--            <div class="box">-->
<!--                <form method="get">-->

<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-12">-->
<!--                                <h3 class="box-title">List of Estimated Realized</h3>-->
<!--                            </div>-->
<!--                            &lt;!&ndash;                            <div class="col-md-6" align="right">&ndash;&gt;-->
<!--                            &lt;!&ndash;                                Show entries <span sd:page-size-selector="javascript"></span>&ndash;&gt;-->
<!--                            &lt;!&ndash;                            </div>&ndash;&gt;-->
<!--                        </div>-->
<!--                        <br>-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-12">-->
<!--                                <p th:text="${'Post : ' + anggaranDetail.anggaran.kodeAnggaran}">Follow the steps to continue to payment.</p>-->
<!--                                <p th:text="${'Name : ' + anggaranDetail.anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>-->
<!--                                <p th:text="${'Description : ' + anggaranDetail.deskripsi}">Follow the steps to continue to payment.</p>-->
<!--                            </div>-->
<!--                            &lt;!&ndash;                            <div class="col-md-6" align="right">&ndash;&gt;-->
<!--                            &lt;!&ndash;                                Show entries <span sd:page-size-selector="javascript"></span>&ndash;&gt;-->
<!--                            &lt;!&ndash;                            </div>&ndash;&gt;-->
<!--                        </div>-->
<!--                    </div>-->

<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-2">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <a th:href="@{/setting/admin/anggarandetail/estimasi/baru(anggaranDetail = ${anggaranDetail.id})}" name="tambah" type="button" class="btn btn-block btn-primary">+ Estimate Date Realized</a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-4">-->
<!--&lt;!&ndash;                                <a th:href="@{/setting/anggaran/detail(anggaran = ${anggaranDetail.anggaran.id}, departemen = ${anggaranDetail.anggaran.departemen.id}, periode = ${anggaranDetail.anggaran.periodeAnggaran.id})}" class="btn btn-default">Back</a>&ndash;&gt;-->
<!--                                <a th:href="@{/setting/admin/anggaran/setting(departemen = ${anggaranDetail.anggaran.departemen.id}, periode = ${anggaranDetail.anggaran.periodeAnggaran.id})}" class="btn btn-default">Back</a>-->
<!--                            </div>-->

<!--                            <div class="col-md-6" align="right">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                    <div class="input-group-btn">-->
<!--                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </form>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                -->
<!--                <div class="box-body table-responsive no-padding">-->
<!--                    <table class="table table-bordered">-->
<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th>Date</th>-->
<!--                            <th>Description</th>-->
<!--                            <th>Qty</th>-->
<!--                            <th></th>-->
<!--                            <th>Price</th>-->
<!--                            <th>Options</th>-->
<!--                            <th style="width: 40px"></th>-->
<!--                        </tr>-->
<!--                        <tr th:each="dataEstimasiAnggaranDetail,row : ${anggaranDetailEstimasiList}">-->
<!--                            <td th:text="${(row.index + 1)}">1.</td>-->
<!--                            <td th:text="${#temporals.format(dataEstimasiAnggaranDetail.tanggalEstimasi,'dd-MMM-yyyy')}">Pendapatan dari Beasiswa</td>-->
<!--                            <td th:text="${dataEstimasiAnggaranDetail.deskripsi}">-</td>-->
<!--                            <td th:text="${dataEstimasiAnggaranDetail.kuantitas}">-</td>-->
<!--                            <td th:text="${dataEstimasiAnggaranDetail.satuan}">-</td>-->
<!--                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataEstimasiAnggaranDetail.amount, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>-->
<!--                            <td>-->
<!--                                <a th:href="@{/setting/admin/anggarandetail/estimasi/edit(anggaranDetail = ${anggaranDetail.id}, anggaranDetailEstimasi=${dataEstimasiAnggaranDetail.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                            </td>-->
<!--                            <td>-->

<!--                                <form method="post" th:action="@{/setting/admin/anggarandetail/estimasi/delete(anggaranDetail = ${anggaranDetail.id}, anggaranDetailEstimasi=${dataEstimasiAnggaranDetail.id})}">-->
<!--                                    <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                            onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                        Delete-->
<!--                                    </button>-->
<!--                                </form>-->
<!--                            </td>-->
<!--                        </tr>-->

<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th>Date</th>-->
<!--                            <th>Description</th>-->
<!--                            <th>Qty</th>-->
<!--                            <th></th>-->
<!--                            <th>Price</th>-->
<!--                            <th>Options</th>-->
<!--                            <th style="width: 40px"></th>-->
<!--                        </tr>-->


<!--                    </table>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                <div class="box-footer clearfix">-->
<!--                    &lt;!&ndash;                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">&ndash;&gt;-->
<!--                    &lt;!&ndash;                        <li class="disabled"><a href="#" aria-label="Previous"><span&ndash;&gt;-->
<!--                    &lt;!&ndash;                                aria-hidden="true">&laquo;</span></a>&ndash;&gt;-->
<!--                    &lt;!&ndash;                        </li>&ndash;&gt;-->
<!--                    &lt;!&ndash;                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>&ndash;&gt;-->
<!--                    &lt;!&ndash;                        </li>&ndash;&gt;-->
<!--                    &lt;!&ndash;                    </ul>&ndash;&gt;-->
<!--                </div>-->
<!--            </div>-->
<!--            &lt;!&ndash; /.box &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->